# Uses of Class
org.apache.solr.client.solrj.request.json.RangeFacetMap

Packages that use RangeFacetMap
Package
Description
org.apache.solr.client.solrj.request.json
Allows sending of requests using Solr's JSON query/faceting API

## Uses of RangeFacetMap in org.apache.solr.client.solrj.request.json

Methods in org.apache.solr.client.solrj.request.json that return RangeFacetMap
Modifier and Type
Method
Description
`RangeFacetMap`
RangeFacetMap.`getThis()`
`RangeFacetMap`
RangeFacetMap.`setHardEnd(boolean hardEnd)`
Indicates whether the facet's last bucket should stop exactly at `end`, or be extended to be `gap` wide
`RangeFacetMap`
RangeFacetMap.`setMinCount(int minOccurrences)`
Indicates that buckets should be returned only if they have a count of at least `minOccurrences`
`RangeFacetMap`
RangeFacetMap.`setOtherBuckets(RangeFacetMap.OtherBuckets bucketSpecifier)`
Indicates that an additional range bucket(s) should be computed and added to those computed for `start` and `end`